cgGetType(3)

NAME
cgGetType - get the type enumerant assigned to a type name

SYNOPSIS
  #include <Cg/cg.h>
  CGtype cgGetType( const char * type_string );

PARAMETERS

type_string
    A string containing the case-sensitive type name.

RETURN VALUES
Returns the type enumerant of type_string.

Returns CG_UNKNOWN_TYPE if no such type exists.

DESCRIPTION
cgGetType returns the enumerant assigned to a type name.

EXAMPLES
  CGtype Float4Type = cgGetType("float4");
  if(cgGetParameterType(myparam) == Float4Type)
  {
    /* Do stuff */
  }

ERRORS
None.

HISTORY
cgGetType was introduced in Cg 1.1.

SEE ALSO
the cgGetTypeString manpage, the cgGetParameterType manpage